#ifndef ABSTRACT_MATERIAL_H
#define ABSTRACT_MATERIAL_H

//#include "AbstractSceneObject.h"

class AbstractSceneObject;  //  forward declaration

class AbstractMaterial {
    public:
      AbstractMaterial();
      virtual ~AbstractMaterial();
      virtual void install() = 0;
      virtual void renderColoredSurface(AbstractSceneObject* obj) = 0;
      virtual bool isSimpleColoring() = 0;
};
#endif
