#ifndef ABSTRACT_SPACIAL_BOX_H
#define ABSTRACT_SPACIAL_BOX_H

#include "SpacialPoint.h"

//
//  abgeleitete Klassen:
//    BoundingBox
//    ViewBox
class AbstractSpacialBox  {
    
    public:
      AbstractSpacialBox();
      
      float xMin, xMax;
      float yMin, yMax;
      float zMin, zMax;
      
      void setXRange(float x0, float x1);
      void setYRange(float y0, float y1);
      void setZRange(float z0, float z1);
      void processXValue(float x);
      void processYValue(float y);
      void processZValue(float z);
      void processSpacialPoint(const SpacialPoint& pt);
    
    protected:
      bool xDef;
      bool yDef;
      bool zDef;
};

#endif
