#ifndef EXAMPLE_004_H
#define EXAMPLE_004_H

#include "AbstractExample.h"
#include "AbstractSpacialCurveExample.h"
#include "SpacialPoint.h"

class Example004 : public AbstractExample,
                   public AbstractSpacialCurveExample {
    public: 
      Example004();
      virtual Scene* createScene();

    protected:  
      void fn1 (float x, SpacialPoint* t);
      void fn1d1 (float x, SpacialPoint* t);
      void fn1d2 (float x, SpacialPoint* t);
      void fn2 (float x, SpacialPoint* t);
      void fn2d1 (float x, SpacialPoint* t);
      void fn2d2 (float x, SpacialPoint* t);
      ParametricSpacialCurveSpec c1;
      ParametricSpacialCurveSpec c2;
      
      TubularGridSpec polygonSpec1;
      TubularGridSpec polygonSpec2;
      ObjectDisplayFlags displayFlags1;
      ObjectDisplayFlags displayFlags2;
      SimpleMaterialColoring mObj1;
      SimpleMaterialColoring mObj2;
      FogSpec fogSpec1;
      FogSpec fogSpec2;
      
      static const char* LiteralTorus;
      static const char* LiteralTorusKnot;
};

#endif
