#ifndef EXAMPLE_009_H
#define EXAMPLE_009_H

#include "AbstractExample.h"
#include "AbstractSpacialFunctionExample.h"

class Example009 : public AbstractExample,
                   public AbstractSpacialFunctionExample {
    public: 
      Example009();
      virtual Scene* createScene();
      virtual void fn (float x, float y, Triple* t);
    protected:
      float a1;
      float b1;
      float c1;
      float a2;
      float b2;
      float c2;
      float cx1, cy1;
      float cx2, cy2;
      MeshGrid gridSpec;
      ObjectDisplayFlags displayFlags;
      MaterialColoring mObj1;
      FogSpec fogSpec1;
      
      static const char* LiteralSurface1;
};

#endif
