#ifndef EXAMPLE_017_H
#define EXAMPLE_017_H

#include "AbstractExample.h"
#include "AbstractParametricFunctionExample.h"

class Example017 : public AbstractExample,
                   public AbstractParametricFunctionExample {
    public: 
      Example017();
      virtual Scene* createScene();


    protected:
      float r;   //  Radius des Kreises, auf dem die Lichtquellen platziert sind
      float d;   //  Radius der Kreisscheibe
      
      
      MeshGrid gridSpec;
      ObjectDisplayFlags displayFlags;
      MaterialColoring mObj1;
      FogSpec fogSpec;
      
      
      virtual void fnp (float x, float y, VTriple* t);
      
      static const char* LiteralSurface1;
};

#endif
