#ifndef EXAMPLE_020_H
#define EXAMPLE_020_H

#include "AbstractExample.h"
#include "AbstractSpacialCurveExample.h"
#include "SpacialPoint.h"

class Example020 : public AbstractExample,
                   public AbstractSpacialCurveExample {
    public: 
      Example020();
      virtual Scene* createScene();

    protected:  
      void fn1 (float x, SpacialPoint* t);
      void fn2 (float x, SpacialPoint* t);
      ParametricSpacialCurveEquation c1;
      ParametricSpacialCurveEquation c2;
      PolylineSpec polygonSpec;
      ObjectDisplayFlags displayFlags1;
      ObjectDisplayFlags displayFlags2;
      SimpleMaterialColoring mObj1;
      SimpleMaterialColoring mObj2;
      FogSpec fogSpec1;
      FogSpec fogSpec2;
      
      static const char* LiteralHelix1;
      static const char* LiteralHelix2;
};

#endif
