#ifndef EXAMPLE_KLEIN_BOTTLE_H
#define EXAMPLE_KLEIN_BOTTLE_H

#include "AbstractExample.h"
#include "AbstractParametricFunctionExample.h"
#include "VTriple.h"

class ExampleKleinBottle : public AbstractExample,
                           public AbstractParametricFunctionExample
{
    public: 
      ExampleKleinBottle( /* add parameters here  */);
      virtual Scene* createScene();
      virtual void fn (float x, float y, VTriple* t);
    protected:
      float a;
      MeshGrid gridSpec;
      ObjectDisplayFlags displayFlags;
      MaterialColoring mObj1;
      FogSpec fogSpec;
      
      static const char* LiteralSurface1;
};


#endif
