#ifndef INTEGRATOR_H
#define INTEGRATOR_H

#include "ArcLengthIntegrand.h"

class Integrator  {
    
    public:
      Integrator(float start, float end, float e, int n);
      virtual ~ Integrator();
      virtual float computeValue(ArcLengthIntegrand* integrand) = 0;

    protected:
      float tStart;
      float tEnd;
      float eps;
      int maxN;
};

#endif
