#ifndef PARAMETRIC_SPACIAL_CURVE_SPEC_H
#define PARAMETRIC_SPACIAL_CURVE_SPEC_H

#include "ParametricSpacialCurveEq.h"

class ParametricSpacialCurveSpec : public ParametricSpacialCurveEquation {
    
    public:
       //virtual void (*ptrD1Fn)(float t, SpacialPoint* spt);
       //virtual void (*ptrD2Fn)(float t, SpacialPoint* spt);
       void setd1F(void (AbstractSpacialCurveExample::*ptrCFn)(float , SpacialPoint*));
       void setd2F(void (AbstractSpacialCurveExample::*ptrCFn)(float , SpacialPoint*));
       void d1fn(float r, SpacialPoint* sp);
       void d2fn(float r, SpacialPoint* sp);
       
    protected:
      void (AbstractSpacialCurveExample::*d1cfn)(float , SpacialPoint*);
      void (AbstractSpacialCurveExample::*d2cfn)(float , SpacialPoint*);
    
};

#endif
