#ifndef ROTATION_MATRIX_H
#define ROTATION_MATRIX_H

#include "SpacialPoint.h"

class RotationMatrix {
	
	public:
	    RotationMatrix();
	    RotationMatrix(float angle, SpacialPoint axis, SpacialPoint centerPt);
	    //static RotationMatrix rotatedBy(float angle, 
	    SpacialPoint localToGlobal (SpacialPoint sp);
	    
        friend RotationMatrix operator * (RotationMatrix sp1, RotationMatrix sp2);
	protected:
	    void setTranslation(SpacialPoint sp);
	    
    private:
        float a11, a12, a13, a14;
        float a21, a22, a23, a24;
        float a31, a32, a33, a34;
        float a41, a42, a43, a44;
};

#endif
