#ifndef SIMPLE_MATERIAL_COLORING_H
#define SIMPLE_MATERIAL_COLORING_H

#include "AbstractMaterial.h"
#include "MaterialProperties.h"
#include "AbstractSceneObject.h"

class AbstractSceneObject;   //  forward declaration

class SimpleMaterialColoring : public AbstractMaterial {
    
    public:
      SimpleMaterialColoring (MaterialProperties mp);
      virtual void install();
      virtual void renderColoredSurface(AbstractSceneObject* obj);
      virtual bool isSimpleColoring();
      MaterialProperties* getFaceColoring();
    protected:
      MaterialProperties faceProperties;
};

#endif
