#include "ScenePropertiesPanel.h"
#include <iostream>

ScenePropertiesPanel::ScenePropertiesPanel(SceneHolder& sm)
 : sceneModel(sm),
   container(Gtk::ORIENTATION_VERTICAL),
   lightsEditor(sm),
   sceneObjectsEditor(sm)
{
    sceneModel.addObserver(this);   //  questionable
    container.add1(lightsEditor);
    container.add2(sceneObjectsEditor);
    add(container);
    container.show();
}

ScenePropertiesPanel::~ScenePropertiesPanel()
{
    sceneModel.removeObserver(this);
}

void ScenePropertiesPanel::onSceneChanged() {
}
