#ifndef ABSTRACT_PROJECTION_SPEC_H
#define ABSTRACT_PROJECTION_SPEC_H


#include "GLES/gl.h"
#include "Sphere.h"

//  abgeleitete Klassen:
//    OrthographicProjectionSpec
//    PerspectiveProjectionSpec

class Scene;
class AbstractProjectionSpec {
    
    public:
       AbstractProjectionSpec();
       virtual ~AbstractProjectionSpec();
       virtual void setViewpoint(Scene* s) = 0;
       virtual void setSpace(Scene* s) = 0;
       void setZoomFactor(float zf);

    protected:
       float zoomFactor;
       GLfloat mat[16]; // column-first matrix
};

#endif
