#ifndef BOUNDING_BOX_H
#define BOUNDING_BOX_H

#include "AbstractSpacialBox.h"
#include "Sphere.h"
#include <iostream>

using namespace std;

class BoundingBox : public AbstractSpacialBox {
    
    public:
      BoundingBox unionWith(BoundingBox& bb);
      void addBox (BoundingBox* bb);
      Sphere enclosingSphere();
      friend ostream& operator << (ostream& os, const BoundingBox& bb);
    
};

#endif
