#ifndef COLOR_DISPLAY_FIELD_H
#define COLOR_DISPLAY_FIELD_H

#include  <gtkmm/drawingarea.h>
#include "ColorSpec.h"

class ColorDisplayField  : public Gtk::DrawingArea {
	public:
	    ColorDisplayField();
	    void setColor(float r, float g, float b);
	    void setColor(ColorSpec* cs);
	    void updateRedColorComponent(float r);
	    void updateGreenColorComponent(float r);
	    void updateBlueColorComponent(float r);
	protected:
        virtual bool on_draw(const Cairo::RefPtr<Cairo::Context> &context);
    private:
        float red, green, blue;
};

#endif
