#ifndef _EGL_TYPES_H_
#define _EGL_TYPES_H_
#include <EGL/egl.h>
#include "GLES/gl.h"




typedef struct
{
   uint32_t screen_width;
   uint32_t screen_height;
   uint32_t image_width;
// OpenGL|ES objects
   EGLConfig config;
   EGLDisplay display;
   EGLSurface surface;
   EGLContext context;
   EGLBoolean hasDisplay;
 //  GdkWindow* gdkWin;
// current model rotation angles
   GLfloat rot_angle_x;
   GLfloat rot_angle_y;
   GLfloat rot_angle_z;
} EGL_STATE_T;

#endif
