#ifndef EXAMPLE_006_H
#define EXAMPLE_006_H

#include "AbstractExample.h"
#include "AbstractParametricFunctionExample.h"
#include "VTriple.h"

class Example006  : public AbstractExample,
                    public AbstractParametricFunctionExample {
    public: 
      Example006();
      virtual Scene* createScene();
      virtual void fn5 (float x, float y, VTriple* t);
    protected:
      float a;
      MeshGrid gridSpec;
      ObjectDisplayFlags displayFlags;
      MaterialColoring mObj1;
      FogSpec fogSpec;
      
      static const char* LiteralSurface1;
};

#endif
