#ifndef EXAMPLE_010_H
#define EXAMPLE_010_H

#include "AbstractExample.h"
#include "AbstractSpacialFunctionExample.h"

class Example010 : public AbstractExample,
                   public AbstractSpacialFunctionExample {
    public: 
      Example010();
      virtual Scene* createScene();
      virtual void fn (float x, float y, Triple* t);
      virtual void fn2 (float x, float y, Triple* t);
      MeshGrid gridSpec;
      ObjectDisplayFlags displayFlags1;
      ObjectDisplayFlags displayFlags2;
      MaterialColoring mObj1;
      MaterialColoring mObj2;
      FogSpec fogSpec1;
      FogSpec fogSpec2;
      
      static const char* LiteralSurface1;
      static const char* LiteralSurface2;
};

#endif
