#ifndef FOG_SPEC_H
#define FOG_SPEC_H

#include "ColorSpec.h"

enum FogMode { LINEAR, EXP, EXP2 };
class FogSpec {
	public:
	    FogSpec(FogMode mode, ColorSpec cs, float d, float s, float e);
	    void install();
	    void setRegion(float s, float e);
	    ColorSpec* getRefToColor();
	    float getStartPosition();
	    float getEndPosition();
	    void setStartPosition(float sp);
	    void setEndPosition(float ep);
	    
	private:
	    FogMode fogMode;
	    ColorSpec fogColor;
	    float density;
	    float frontDistance;
	    float backDistance;
	    float start;
	    float end;
};

#endif
