#ifndef OBJECT_DISPLAY_FLAGS_H
#define OBJECT_DISPLAY_FLAGS_H

class ObjectDisplayFlags {
	public:
	  ObjectDisplayFlags();
	  	  
      bool isVisible();
      bool showTexture();
      bool showFog();
      bool showWireframe();
      bool useLightModelTwoSide();
      
      void setVisibility(bool v);
      void setShowTexture(bool st);
      void setShowFog(bool sf);
      void setShowWireframe(bool v);
      void setLightModelTwoSide(bool v);
      
      void toggleShowObject();
      void toggleShowTexture();
      void toggleShowFog();
      void toggleShowWireframe();
      void toggleLightModelTwoSide();
      void toggleLightSource(int i);
      
      bool lights[8];
      
	private:
	
      bool objectIsVisible;
      bool showTextureFlag;
      bool showFogFlag;
      bool showWireframeFlag;
      bool lightModelTwoSide;
};

#endif
