#ifndef PERSPECTIVE_PROJECTION_SPEC_H
#define PERSPECTIVE_PROJECTION_SPEC_H

#define GLM_FORCE_RADIANS
#include <glm/gtc/type_ptr.hpp>  // für glm::value_ptr
#include <glm/gtc/matrix_transform.hpp>
#include "AbstractProjectionSpec.h"
#include "SpacialPoint.h"

class PerspectiveProjectionSpec : public AbstractProjectionSpec {
    public:
       ~PerspectiveProjectionSpec();
       virtual void setViewpoint(Scene* s);
       virtual void setSpace(Scene* s);
       
    protected:
       SpacialPoint eyepoint;
       SpacialPoint orientation;
};

#endif
