#ifndef PROJECTION_PROPERTIES_PANEL_H
#define PROJECTION_PROPERTIES_PANEL_H


#include <gtkmm/frame.h>
#include "SceneHolder.h"
#include "SceneObserver.h"

class ProjectionPropertiesPanel :  public Gtk::Frame, public SceneObserver {

    public:
        ProjectionPropertiesPanel(SceneHolder& sm);
        ~ProjectionPropertiesPanel();
        virtual void onSceneChanged();
    private:
        SceneHolder& sceneModel;
        

        bool suspendUpdates;

        
        static const char* LiteralAmbientLight;
        static const char* LiteralBackgroundColor;
};

#endif
