#ifndef SCENE_PROPERTIES_PANEL_H
#define SCENE_PROPERTIES_PANEL_H


#include <gtkmm/frame.h>
#include <gtkmm/paned.h>
#include "SceneHolder.h"
#include "SceneObserver.h"
#include "LightsEditor.h"
#include "SceneObjectsEditor.h"

class ScenePropertiesPanel :  public Gtk::Frame, public SceneObserver {

    public:
        ScenePropertiesPanel(SceneHolder& sm);
        ~ScenePropertiesPanel();
        virtual void onSceneChanged();
    private:
        SceneHolder& sceneModel;
        //Glib::RefPtr<Gtk::ListStore> refListStore;
        Gtk::Paned container;
        LightsEditor lightsEditor;
        SceneObjectsEditor sceneObjectsEditor; 
};

#endif
