#ifndef SPACIAL_CURVE_BUILDER_H
#define SPACIAL_CURVE_BUILDER_H

#include "Triple.h"
//#include "VTriple.h"  // ??
#include "ParametricSpacialCurveEq.h"
#include "AbstractSpacialStructureBuilder.h"
#include "ArcLengthIntegrand.h"
#include "SpacialCurveObject.h"
#include "BoundingBox.h"
#include "PolylineSpec.h"
#include "GLES/gl.h"  //  fuer GLfloat, GLushort

class SpacialCurveBuilder : public AbstractSpacialStructureBuilder {
	public:
	    static SpacialCurveObject* createSpacialCurve
	         (ObjectDisplayFlags &objectSettings,
              PolylineSpec *polygonSpec,
              ParametricSpacialCurveEquation* functions);
	    static SpacialCurveObject* createSpacialCurveAndTexture
	         (ObjectDisplayFlags &objectSettings,
              PolylineSpec *polygonSpec,
              ParametricSpacialCurveEquation* functions);
              
};

#endif
