#ifndef SPACIAL_CURVE_OBJECT_H
#define SPACIAL_CURVE_OBJECT_H

#include "AbstractSceneObject.h"
#include "GLES/gl.h"  //  fuer GLfloat, GLushort

class SpacialCurveObject : public AbstractSceneObject {
    public:
        SpacialCurveObject (ObjectDisplayFlags &flags, BoundingBox bb, int nroV, GLfloat* v);
        SpacialCurveObject (ObjectDisplayFlags &flags, BoundingBox bb, int nroV, GLfloat* v, GLfloat* tc, char* tb);
        int getNumberOfVertices();

    private: 
      int nroOfVertices;
      void renderTexturizedObject();
      void renderNonTexturizedObject();
      virtual void renderObject();
      virtual void renderSimpleColoring(SimpleMaterialColoring* m);
      virtual void renderDoubleSidedColoring(MaterialColoring* m);
};

#endif
