#ifndef VIEW_BOX_H
#define VIEW_BOX_H

#include "AbstractSpacialBox.h"

//  Eine Instanz beschreibt einen achsenparallelen Quader (in den meisten
//  Anwendungen ist dieser Quader ein Wuerfel), der fuer die
//  Konstruktion einer Perspektive verwendet wird.
//  Der Quadermittelpunkt wird fuer die durchfuehrung der
//  Rotation verwendet.

class ViewBox : public AbstractSpacialBox {
    
    public:
       ViewBox(SpacialPoint cp);
       SpacialPoint getCenterPoint();
    
    private:
       SpacialPoint centerPoint;
};

#endif
