#include "AbstractTextureSpec.h"

AbstractTextureSpec::
      AbstractTextureSpec(ColorSpec cm, ColorSpec br, ColorSpec dk)
  : colorMask(cm),
    bright(br),
    dark(dk)
{
}

ColorSpec AbstractTextureSpec::getColorMask() {
	return colorMask;
}

ColorSpec* AbstractTextureSpec::getPtrToColorMask() {
	return &colorMask;
}

ColorSpec AbstractTextureSpec::getBrightColor() {
	return bright;
}

ColorSpec* AbstractTextureSpec::getPtrToBrightColor() {
	return &bright;
}

ColorSpec AbstractTextureSpec::getDarkColor() {
	return dark;
}

ColorSpec* AbstractTextureSpec::getPtrToDarkColor() {
	return & dark;
}
