#include "ParametricSpacialCurveSpec.h"

void ParametricSpacialCurveSpec::setd1F(void (AbstractSpacialCurveExample::*fn)(float , SpacialPoint*)) {
    d1cfn = fn;
}

void ParametricSpacialCurveSpec::setd2F(void (AbstractSpacialCurveExample::*fn)(float , SpacialPoint*)) {
    d2cfn = fn;
}

void ParametricSpacialCurveSpec:: d1fn(float t, SpacialPoint* sp) {
    (inst->*d1cfn)(t, sp);
}

void ParametricSpacialCurveSpec:: d2fn(float t, SpacialPoint* sp) {
    (inst->*d2cfn)(t, sp);
}
