#include "SimpleMaterialColoring.h"

SimpleMaterialColoring::SimpleMaterialColoring(MaterialProperties mp) :
     faceProperties (mp) {
}

void SimpleMaterialColoring::install() {
    faceProperties.installColoring();
}

void SimpleMaterialColoring::renderColoredSurface(AbstractSceneObject* obj) {
    obj -> renderSimpleColoring(this);
}

bool SimpleMaterialColoring::isSimpleColoring() {
	return true;
}

MaterialProperties* SimpleMaterialColoring::getFaceColoring() {
	return &faceProperties;
}
